LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### dihedral_style opls command

Syntax:

    dihedral_style opls

Examples:

    dihedral_style opls
    dihedral_coeff 1 90.0 90.0 90.0 70.0

Description:

The opls dihedral style uses the potential

Note that the usual 1/2 factor is not included in the K values.

This dihedral potential is used in the OPLS force field and is described in (Watkins).

The following coefficients must be defined for each dihedral type via the dihedral_coeff command as in the example above, or in the data file or restart files read by the read_data or read_restart commands:

- K1 (energy)
- K2 (energy)
- K3 (energy)
- K4 (energy)

Restrictions:

This dihedral style can only be used if LAMMPS was built with the "molecular" package (which it is by default). See the Making LAMMPS section for more info on packages.

Related commands:

dihedral_coeff

Default: none

(Watkins) Watkins and Jorgensen, J Phys Chem A, 105, 4118-4125 (2001).